%define module	argparse

%define python3 1

Summary:	A Python command line parser inspired by optparse
Name:		python-%{module}
Version:	1.2.1
Release:	%mkrel 12
Source0:	http://argparse.googlecode.com/files/%{module}-%{version}.tar.gz
License:	BSD
Group:		Development/Python
Url:		http://argparse.python-hosting.com/
Requires:	python >= 2.3
BuildRequires:	python-devel >= 2.3
BuildRequires:	python-setuptools
BuildArch:	noarch

%description
The argparse module makes writing command line tools in Python easy.
Just briefly describe your command line interface and argparse will
take care of the rest, including:

* parsing the arguments and flags from ``sys.argv``
* converting arg strings into objects for your program
* formatting and printing any help messages
* and much more ... 

For those familiar with the optparse module from the Python standard
library, argparse improves on this module in a number of ways,
including:

* handling positional arguments
* supporting sub-commands
* allowing alternative option prefixes like ``+`` and ``/``
* handling zero-or-more and one-or-more style arguments
* producing more informative usage messages
* providing a much simpler interface for custom types and actions

%files
%doc *.txt doc/*
%py_puresitedir/*

%if %python3
%package -n python3-%{module}
Summary:	A Python command line parser inspired by optparse
Group:          Development/Python

BuildRequires:  pkgconfig(python3)
BuildRequires:	python3-setuptools

%description -n python3-%{module}
The argparse module makes writing command line tools in Python easy.
Just briefly describe your command line interface and argparse will
take care of the rest, including:

* parsing the arguments and flags from ``sys.argv``
* converting arg strings into objects for your program
* formatting and printing any help messages
* and much more ... 

For those familiar with the optparse module from the Python standard
library, argparse improves on this module in a number of ways,
including:

* handling positional arguments
* supporting sub-commands
* allowing alternative option prefixes like ``+`` and ``/``
* handling zero-or-more and one-or-more style arguments
* producing more informative usage messages
* providing a much simpler interface for custom types and actions

%files -n python3-%{module}
%python3_sitelib/*
%endif

#--------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

%if %python3
cp -a . %{py3dir}
%endif

%build
#nothing to do here.

%install
%__python setup.py install --root=%{buildroot} --record=FILE_LIST
%__chmod -R og-w *.txt doc/

%if %python3
pushd %{py3dir}
%{__python3} setup.py install --root=%{buildroot} --record=FILE_LIST
popd
%endif


%changelog
* Wed Apr 27 2016 tv <tv> 1.2.1-12.mga6
+ Revision: 1006922
- use new py macros

* Fri Feb 19 2016 umeabot <umeabot> 1.2.1-11.mga6
+ Revision: 970660
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 1.2.1-10.mga6
+ Revision: 887477
- rebuild for python 3.5

* Mon Oct 20 2014 tv <tv> 1.2.1-9.mga5
+ Revision: 792039
- BR python3-setuptools
- add python3 support

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-8.mga5
+ Revision: 743238
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.1-7.mga5
+ Revision: 728058
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-6.mga5
+ Revision: 687885
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.2.1-4.mga4
+ Revision: 542948
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.2.1-3.mga4
+ Revision: 498115
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.2.1-2.mga3
+ Revision: 378469
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 neoclust <neoclust> 1.2.1-1.mga3
+ Revision: 313603
- imported package python-argparse

